# Awesome Captcha [![Awesome](https://awesome.re/badge.svg)](https://awesome.re)

> Curated list of awesome captcha libraries and captcha crack tools.  

[CAPTCHA](https://en.wikipedia.org/wiki/CAPTCHA) is a type of challenge–response test used in computing to determine whether or not the user is human.  

**Pull requests are welcome**

[English](README.md) | [中文](README-zh.md)

## Contents

- [Libraries](#libraries)
- [Generation](#generation)
- [Crack](#crack)
    - [General](#general)
    - [Chinese](#chinese)
- [Tools](#tools)
- [Other](#other)


## Libraries

- [mewebstudio/captcha](https://github.com/mewebstudio/captcha) - Captcha for Laravel 5.
- [CGregwar/Captcha](https://github.com/Gregwar/Captcha) - PHP Captcha library.
- [trekjs/captcha](https://github.com/trekjs/captcha) - A Lightweight Pure JavaScript Captcha for Node.js. No C/C++, No ImageMagick, No Canvas.
- [pusuo/patchca](https://github.com/pusuo/patchca) - Simple yet powerful CAPTCHA library written in Java.
- [google/recaptcha](https://github.com/google/recaptcha) - PHP client library for reCAPTCHA, a free service to protect your website from spam and abuse.
- [ambethia/recaptcha](https://github.com/ambethia/recaptcha) - ReCaptcha helpers for ruby apps.
- [anhskohbo/no-captcha](https://github.com/anhskohbo/no-captcha) - No CAPTCHA reCAPTCHA For Laravel.


## Generation
- [dchest/captcha](https://github.com/dchest/captcha) - Go package captcha implements generation and verification of image and audio CAPTCHAs.
- [lepture/captcha](https://github.com/lepture/captcha) - A captcha library that generates audio and image CAPTCHAs.
- [lemonce/svg-captcha](https://github.com/lemonce/svg-captcha) - Generate svg captcha in Node.js.
- [DoubleSpout/ccap](https://github.com/DoubleSpout/ccap) - Node.js generate captcha using c++ library CImg without install any other lib or software.
- [contra/captchagen](https://github.com/contra/captchagen) - Captcha generation for Node.js.
- [jineshfrancs/CaptchaImageView](https://github.com/jineshfrancs/CaptchaImageView) - Custom ImageView to generate captcha image.
- [mcxtzhang/SwipeCaptcha](https://github.com/mcxtzhang/SwipeCaptcha) - Swipe captcha of Android platform.
- [mojocn/base64Captcha](https://github.com/mojocn/base64Captcha) - Golang base64-captcha supports digits, numbers,alphabet, arithmetic, audio and digit-alphabet captcha.


## Crack

### General
- [Captcha](https://github.com/arunpatala/captcha) - Breaking captchas using torch.
- [CAPTCHA](https://github.com/zakizhou/CAPTCHA) - Implement classification for CAPTCHA in TensorFlow.
- [Captcha-break](https://github.com/nladuo/captcha-break) - Captcha break based on opencv2, tesseract-ocr and some machine learning algorithm.
- [Captcha_break](https://github.com/ypwhs/captcha_break) - Captcha break using CNN with Keras.
- [Simple-captcha-solver](https://github.com/ptigas/simple-captcha-solver) - Simple CAPTCHA solver in python 🐍.
- [SimGAN-Captcha](https://github.com/rickyhan/SimGAN-Captcha) - Solve captcha without manually labeling a training set.
- [Captcha.irctc](https://github.com/arunpatala/captcha.irctc) - Reading irctc captchas with 98% accuracy using deep learning.
- [Captcha-tensorflow](https://github.com/JackonYang/captcha-tensorflow) - Image Captcha Solving Using TensorFlow and CNN Model.
- [CNN_keras](https://github.com/skyduy/CNN_keras) - CNN | Keras | CAPTCHA recognition（卷积神经网络、Keras框架、验证码识别）.
- [Captcha_recognize](https://github.com/PatrickLib/captcha_recognize) - Image Recognition captcha without image segmentation.
- [Captcha_svm](https://github.com/zhengwh/captcha-svm) - Use svm to hack simple captcha.
- [Captcha_cracker](https://github.com/chxj1992/captcha_cracker) - Crack captcha with CNN.
- [Slide_captcha_cracker](https://github.com/chxj1992/slide_captcha_cracker) - Crack solution for slide captcha with Canny algorithm.
- [Simple-railway-captcha-solver](https://github.com/JasonLiTW/simple-railway-captcha-solver#english-version) - Simple captcha solver based on CNN and a training set generator by imitating the style of captcha.
- [CAPTCHA-breaking](https://github.com/lllcho/CAPTCHA-breaking) - Breaking the captcha.
- [ecthros/uncaptcha](https://github.com/ecthros/uncaptcha) - Defeating Google's audio reCaptcha with 85% accuracy.


### Chinese
- [Chinese_hand_write_rec](https://github.com/burness/tensorflow-101/tree/master/chinese_hand_write_rec/src) - Handwritten chinese recognition.
- [CNN_handwritten_chinese_recognition](https://github.com/taosir/cnn_handwritten_chinese_recognition) - As the name shows, handwritten_chinese_recognition with cnn.
- [Chinese-Character-Recognition](https://github.com/soloice/Chinese-Character-Recognition) - This project shows how to use CNN to perform Chinese character recognition, a much more complicated task compared to MNIST digit recognition.
- [Zheye](https://github.com/muchrooms/zheye) - Chinese captcha recognition program for handstand character of zhihu.
- [12306-captcha](https://github.com/aaronshan/12306-captcha) - Recognize 12306 captcha with deep learning. 
- [nickliqian/cnn_captcha](https://github.com/nickliqian/cnn_captcha) - Use cnn recognize captcha by tensorflow.


## Tools

- [Tesseract](https://github.com/tesseract-ocr/tesseract) - Tesseract Open Source OCR Engine.
- [MotionCAPTCHA](https://github.com/wjcrowcroft/MotionCAPTCHA) - MotionCAPTCHA jQuery Plugin - Stop Spam, Draw Shapes.
- [Negative-captcha](https://github.com/subwindow/negative-captcha) - A plugin to make the process of creating a negative captcha in Rails much less painful.
- [Django-simple-captcha](https://github.com/mbi/django-simple-captcha) - An extremely simple, yet highly customizable Django application to add captcha images to any Django form.
- [Securimage](https://github.com/dapphp/securimage) - PHP CAPTCHA Script.
- [Captcha_solver](https://github.com/lorien/captcha_solver) - Univeral API to captcha solving services.


## Other

- [VisualCaptcha](https://github.com/emotionLoop/visualCaptcha) - A collection of all the different versions/repos of visualCaptcha.


## Maintainers

- [@ZYSzys](https://github.com/ZYSzys)


## Contribute

Please do! Check out the [CONTRIBUTING](CONTRIBUTING.md) file, and [open an issue](https://github.com/ZYSzys/awesome-captcha/issues/new)!


## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [ZYSzys](https://github.com/ZYSzys) has waived all copyright and related or neighboring rights to this work.
